Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::annots::QuadPoints Class Reference

Inherits Object.

## Public Member Functions
| QuadPoints ()
| Constructor.
| QuadPoints (const PointF &first, const PointF &second, const PointF &third, const PointF &fourth)
| Constructor, with parameters. More...
| QuadPoints (const QuadPoints &quad_points)
| Constructor, with another quadrilateral points object. More...
bool | operator!= (const QuadPoints &quad_points) const
| Not equal operator. More...
QuadPoints & | operator= (const QuadPoints &quad_points)
| Assign operator. More...
bool | operator== (const QuadPoints &quad_points) const
| Equal operator. More...
void | Set (const PointF &first, const PointF &second, const PointF &third, const PointF &fourth)
| Set value. More...

## Public Attributes
PointF | first
| First point of quadrilateral, in PDF coordinate system.
PointF | fourth
| Fourth point of quadrilateral, in PDF coordinate system.
PointF | second
| Second point of quadrilateral, in PDF coordinate system.
PointF | third
| Third point of quadrilateral, in PDF coordinate system.

## Detailed Description

This class represents points of a quadrilateral, in PDF coordinate system. The order of points in a quadrilateral should be as follows:

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.

## Constructor & Destructor Documentation

## ◆ QuadPoints() [1/2]

foxit::pdf::annots::QuadPoints::QuadPoints | ( | const PointF & | first,
|  | const PointF & | second,
|  | const PointF & | third,
|  | const PointF & | fourth
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

## ◆ QuadPoints() [2/2]

foxit::pdf::annots::QuadPoints::QuadPoints | ( | const QuadPoints & | quad_points | ) |
| inline

Constructor, with another quadrilateral points object.

Parameters

  [in] | quad_points | Another quadrilateral points object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::annots::QuadPoints::operator!= | ( | const QuadPoints & | quad_points | ) | const
| inline

Not equal operator.

Parameters

  [in] | quad_points | Another quadrilateral points object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

QuadPoints& foxit::pdf::annots::QuadPoints::operator= | ( | const QuadPoints & | quad_points | ) |
| inline

Assign operator.

Parameters

  [in] | quad_points | Another quadrilateral points object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::annots::QuadPoints::operator== | ( | const QuadPoints & | quad_points | ) | const
| inline

Equal operator.

Parameters

  [in] | quad_points | Another quadrilateral points object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::annots::QuadPoints::Set | ( | const PointF & | first,
|  | const PointF & | second,
|  | const PointF & | third,
|  | const PointF & | fourth
| ) |  |
| inline

Set value.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

Returns
  None.